/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2007 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author:                                                              |
  +----------------------------------------------------------------------+
*/

/* $Id: header,v 1.16.2.1.2.1 2007/01/01 19:32:09 iliaa Exp $ */

#ifndef PHP_CEGO_H
#define PHP_CEGO_H

extern zend_module_entry cego_module_entry;
#define phpext_cego_ptr &cego_module_entry

#ifdef PHP_WIN32
#define PHP_CEGO_API __declspec(dllexport)
#else
#define PHP_CEGO_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(cego);
PHP_MSHUTDOWN_FUNCTION(cego);
PHP_RINIT_FUNCTION(cego);
PHP_RSHUTDOWN_FUNCTION(cego);
PHP_MINFO_FUNCTION(cego);

PHP_FUNCTION(confirm_cego_compiled);	/* For testing, remove later. */
PHP_FUNCTION(cego_phpcegoversion);
PHP_FUNCTION(cego_connect);
PHP_FUNCTION(cego_prepare);
PHP_FUNCTION(cego_bind);
PHP_FUNCTION(cego_execute);
PHP_FUNCTION(cego_update);
PHP_FUNCTION(cego_query);
PHP_FUNCTION(cego_fetch);
PHP_FUNCTION(cego_fieldinfo);
PHP_FUNCTION(cego_release);
PHP_FUNCTION(cego_close);
PHP_FUNCTION(cego_error);


/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(cego)
	long  global_value;
	char *global_string;
ZEND_END_MODULE_GLOBALS(cego)
*/

/* In every utility function you add that needs to use variables 
   in php_cego_globals, call TSRMLS_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as CEGO_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define CEGO_G(v) TSRMG(cego_globals_id, zend_cego_globals *, v)
#else
#define CEGO_G(v) (cego_globals.v)
#endif

#endif	/* PHP_CEGO_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
